[med-svn] [Git][med-team/community/package_template][master] Prefer uscan conversion method over own code but keep the features to create a...

Andreas Tille (@tille) gitlab at salsa.debian.org
Wed May 13 08:29:44 BST 2026



Andreas Tille pushed to branch master at Debian Med / community / package_template


Commits:
e2d41172 by Andreas Tille at 2026-05-13T09:29:00+02:00
Prefer uscan conversion method over own code but keep the features to create a watch file from scratch

- - - - -


1 changed file:

- convert-watch5


Changes:

=====================================
convert-watch5
=====================================
@@ -1,6 +1,11 @@
 #!/bin/sh
 set -eu
 
+if [ -w debian/watch ] ; then
+  uscan --update-watchfile
+  exit 1
+fi
+
 if grep -q '^Version: *5' debian/watch ; then
   echo "debian/watch seems to be version=5 thus do nothing"
   exit 0



View it on GitLab: https://salsa.debian.org/med-team/community/package_template/-/commit/e2d41172e1b6b18063289760fa3d4da90c35cdf5

-- 
View it on GitLab: https://salsa.debian.org/med-team/community/package_template/-/commit/e2d41172e1b6b18063289760fa3d4da90c35cdf5
You're receiving this email because of your account on salsa.debian.org. Manage all notifications: https://salsa.debian.org/-/profile/notifications | Help: https://salsa.debian.org/help


-------------- next part --------------
An HTML attachment was scrubbed...
URL: <http://alioth-lists.debian.net/pipermail/debian-med-commit/attachments/20260513/a8a18cfd/attachment.htm>


More information about the debian-med-commit mailing list